GET /deployments/{deployment_id}/elasticsearch/{ref_id}/tiers

Retrieves the current memory size, zone count, and available sizes for all enabled Elasticsearch tiers in a Deployment. Disabled tiers are excluded.

Path parameters

  • deployment_id string Required

    Identifier for the Deployment

  • ref_id string Required

    User-specified RefId for the Resource (or '_main' if there is only one)

Responses

  • 200 application/json

    The size configuration of all enabled Elasticsearch tiers

    Hide response attributes Show response attributes object
    • hot_content object

      Current configuration of an individual Elasticsearch tier

      Hide hot_content attributes Show hot_content attributes object
      • memory_size integer(int32)

        The memory size in MB for this tier.

      • zone_count integer(int32)

        The number of availability zones for this tier.

      • available_sizes array[integer(int32)]

        Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.

    • warm object

      Current configuration of an individual Elasticsearch tier

      Hide warm attributes Show warm attributes object
      • memory_size integer(int32)

        The memory size in MB for this tier.

      • zone_count integer(int32)

        The number of availability zones for this tier.

      • available_sizes array[integer(int32)]

        Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.

    • cold object

      Current configuration of an individual Elasticsearch tier

      Hide cold attributes Show cold attributes object
      • memory_size integer(int32)

        The memory size in MB for this tier.

      • zone_count integer(int32)

        The number of availability zones for this tier.

      • available_sizes array[integer(int32)]

        Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.

    • frozen object

      Current configuration of an individual Elasticsearch tier

      Hide frozen attributes Show frozen attributes object
      • memory_size integer(int32)

        The memory size in MB for this tier.

      • zone_count integer(int32)

        The number of availability zones for this tier.

      • available_sizes array[integer(int32)]

        Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.

    • master object

      Current configuration of an individual Elasticsearch tier

      Hide master attributes Show master attributes object
      • memory_size integer(int32)

        The memory size in MB for this tier.

      • zone_count integer(int32)

        The number of availability zones for this tier.

      • available_sizes array[integer(int32)]

        Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.

    • coordinating object

      Current configuration of an individual Elasticsearch tier

      Hide coordinating attributes Show coordinating attributes object
      • memory_size integer(int32)

        The memory size in MB for this tier.

      • zone_count integer(int32)

        The number of availability zones for this tier.

      • available_sizes array[integer(int32)]

        Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.

    • ml object

      Current configuration of an individual Elasticsearch tier

      Hide ml attributes Show ml attributes object
      • memory_size integer(int32)

        The memory size in MB for this tier.

      • zone_count integer(int32)

        The number of availability zones for this tier.

      • available_sizes array[integer(int32)]

        Discrete memory sizes in MB from this tier's instance configuration. Sizes up to the allowed multiple of the maximum discrete size may also be valid.

  • 404 application/json
    • The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
    • The Elasticsearch Resource specified by {ref_id} cannot be found. (code: deployments.deployment_resource_not_found)
    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Values are deployments.deployment_not_found or deployments.deployment_resource_not_found.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

GET /deployments/{deployment_id}/elasticsearch/{ref_id}/tiers
curl \
 --request GET 'https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/elasticsearch/{ref_id}/tiers'